%define name		a52dec
%define major		0
%define libname		lib%{name}
%define fulllibname	%{libname}%{major}
%define version		0.7.4
%define release		2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A free ATSC A/52 stream decoder library
License:	GPL
Group:		Video
URL:		http://liba52.sourceforge.net
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	liba52-apps
Provides:	liba52-apps
Requires:	%{fulllibname} = %{version}-%{release}

%description
liba52 is a free library for decoding ATSC A/52 streams. It is released
under the terms of the GPL license. The A/52 standard is used in a
variety of applications, including digital television and DVD. It is
also known as AC-3.

%package -n %{fulllibname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	liba52dec_0
Obsoletes:	liba52_0
Obsoletes:	liba520
Provides:	liba52dec_0
Provides:	liba52_0
Provides:	liba520

%description -n %{fulllibname}
This package contains libraries needed to run programs linked with %{name}.

%package -n %{fulllibname}-devel
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{fulllibname} = %{version}-%{release}
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	liba52dec_0-devel
Obsoletes:	liba52_0-devel
Obsoletes:	liba520-devel
Provides:	liba52dec_0-devel
Provides:	liba52_0-devel
Provides:	liba520-devel

%description -n %{fulllibname}-devel
This package contains development files needed to compile programs which
use %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
%configure --enable-shared
%make

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{fulllibname} -p /sbin/ldconfig

%postun -n %{fulllibname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO HISTORY
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{fulllibname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{fulllibname}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la

%changelog
* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.4-2mdk
- rebuild

* Wed Sep 25 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.7.4-1mdk
- 0.7.4

* Mon May 06 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.7.3-5mdk
- Add missing requires to lib

* Wed Apr 17 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.3-4mdk
- libname is liba52dec0
- obsoletes tags to make upgrade easier

* Tue Apr 16 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.3-3mdk
- reverted name to a52dec and libname to liba52dec

* Mon Apr 15 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.3-2mdk
- libname is liba52_0

* Mon Apr 15 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 0.7.3-1mdk
- first mdk release

* Fri Mar 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.7.3-1plf 
	Create package from Michael Reinsch <mr@uue.org>
		- first plf package
